Skip to main content
GET
/
v2
/
salesOrders
/
customfields
Query Sales Order Custom Fields
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/customfields \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "attribut": {
      "id": 123,
      "istMehrsprachig": 123,
      "istFreifeld": 123,
      "sortierung": 123,
      "beschreibung": "<string>",
      "bezugstyp": 123,
      "ausgabeweg": 123,
      "istStandard": 123,
      "feldTypId": 123,
      "regEx": "<string>",
      "gruppeName": "<string>",
      "readOnly": 123,
      "aktivFuerArtikelOhneWarengruppe": true,
      "istPflichtfeld": true,
      "attributId": "<string>",
      "istUnsichtbar": true,
      "skipHooks": true,
      "feldTyp": {
        "id": 123,
        "name": "<string>",
        "datenTyp": 123,
        "regEx": "<string>",
        "skipHooks": true
      },
      "bezeichnungen": [
        {
          "attributId": 123,
          "spracheId": 123,
          "name": "<string>",
          "wertListe": "<string>",
          "skipHooks": true
        }
      ]
    },
    "customFieldId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "groupName": "<string>",
    "name": "<string>",
    "possibleValues": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

The requested custom fields for sales orders.

attribut
object

Attribute dienen zur flexibleren Verteilung von Eigenschaften zu bestimmten Objekten

customFieldId
string<uuid>

Unique ID to identify a custom field.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

groupName
string

The group name for this custom field.

name
string

The custom field name.

type
enum<integer>

The custom field type.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
possibleValues
string[]

The possible values, when the custom field is a list.